require 'chef/provisioning/azurerm/azure_resource'

class Chef
  class Resource
    class AzureDataDisk < Chef::Provisioning::AzureRM::AzureResource
      resource_name :azure_data_disk
      actions :create, :destroy, :detach, :attach, :nothing
      default_action :create
      attribute :name, kind_of: String, name_attribute: true, regex: /^[\w\-\(\)\.]{0,80}$+(?<!\.)$/i
      attribute :size, kind_of: Integer, default: 10
      attribute :storage_account_type, String, default: 'Standard_LRS'
      attribute :caching, String, default: 'none'
      attribute :location, String
      attribute :lun, Integer
      attribute :vm, String
      attribute :tags, kind_of: Hash
      attribute :resource_group, String, required: true
    end
  end
end
