require 'chef/provisioning/azurerm/azure_resource'

class Chef
  class Resource
    class AzureLoadBalancer < Chef::Provisioning::AzureRM::AzureResource
      resource_name :azure_load_balancer
      actions :create, :destroy, :nothing
      default_action :create
      attribute :name, kind_of: String, name_attribute: true
      attribute :resource_group, kind_of: String
      attribute :location, kind_of: String, default: 'westus'
      attribute :load_balancer_options, kind_of: Hash
      attribute :virtual_network, kind_of: String
      attribute :subnet_name, kind_of: String
      attribute :virtual_machine, kind_of: Array
    end
  end
end
